$fn=72;

sirka=60;
vyska=67;
hrubka=3;
hlbka=30;
bok_hlbka=16;
bok_vyska=47;
chladic_hlbka=33/2;

diery_roztec=16;
diery_offset=8;
diery_offset2=diery_offset+20;
diery_offset3=diery_offset+28;
chladic_medzera=20;
chladic_medzera2=5;

radic_roztec=16;
radic_offset=vyska-40-20;


module drziak()
{
    module bok()
    {
        translate([0,-(bok_hlbka-hrubka)/2,-(vyska-bok_vyska)/2]) cube([hrubka, bok_hlbka,bok_vyska], true);
    }
    
    translate ([0,0,hrubka/2]) difference () {
        union () {
            cube([sirka,hlbka,hrubka],true);
            translate([0,hlbka/2-hrubka/2,vyska/2-hrubka/2]) {
                cube([sirka,hrubka,vyska],true);
                for (i=[-1,1]) translate([ i*(sirka-hrubka)/2,0,0]) bok();
            }
            translate([0,(hlbka/2-chladic_hlbka-hrubka),0])
                for (i=[-1,1]) translate ([i*25,0,2])
                  rotate ([0,0,0])
                    cylinder(d=9,h=3,center=true);
        }
        translate([0,(hlbka/2-chladic_hlbka-hrubka),0]) union () {
                cylinder(d=25, h=100, center=true);
                translate ([0,-25/2,0])cube([25, 25, 100], true);
                for (i=[-1,1]) translate ([i*25,0,0])
                  rotate ([0,0,0])
                    cylinder(d=4,h=50,center=true);
                for (i=[-1,1]) translate ([i*25,0,0])
                  rotate ([0,0,0])
                    cylinder(d=6.5,h=3,center=true);
                for (i=[-1,1]) translate ([i*diery_roztec/2,0,hrubka+chladic_medzera+diery_offset])
                  rotate ([90,0,0])
                    cylinder(d=3.2,h=50,center=true);
                for (i=[-1,0,1]) translate ([i*diery_roztec/2,0,hrubka+chladic_medzera2+diery_offset])
                  rotate ([90,0,0])
                    cylinder(d=3.2,h=50,center=true);
                for (i=[0]) translate ([i*diery_roztec/2,0,hrubka+chladic_medzera+diery_offset2])
                  rotate ([90,0,0])
                    cylinder(d=5.4,h=50,center=true);
                for (i=[0]) translate ([i*diery_roztec/2,0,hrubka+chladic_medzera2+diery_offset3])
                  rotate ([90,0,0])
                    cylinder(d=3.2,h=50,center=true);
                for (i=[-1,1]) translate ([i*radic_roztec/2,0,vyska-radic_offset])
                  rotate ([90,0,0])
                    cylinder(d=3.2,h=50,center=true);
                translate([0,3.4,bok_vyska]) rotate([45,0,0]) cube([sirka+5,17,17],true);
                for (i=[-1,1])  translate([i*(sirka+0.5)/2,4,vyska])
                    rotate([45,0,90]) cube([sirka+5,25,25],true);
        }
    }
}

module drziak_kable()
{
    difference () {
        union () {
            cube([30,45,hrubka],true);
//            translate([0,17.5,1]) cube([58,35,hrubka+2],true);
            for (i=[-1,1]) translate ([i*diery_roztec/2,-45/2+5,1])
                cylinder(d=6.2,h=hrubka+2,center=true);
        }
        union() {
            translate([0,45/2-4/2-2,0]) cube([26.5,4,hrubka+10],true);
            translate([0,45/2-5/2+1,0]) cube([10,5,hrubka+10],true);
            for (i=[-1,1]) translate ([i*diery_roztec/2,-45/2+5,0])
                cylinder(d=3.2,h=50,center=true);
       }
   }
                translate([0,45/2-4/2-2/2-10/2+1,0]) cylinder(d=10,h=hrubka,center=true);
}

module drziak_kable_2()
{
    hh=55;
    difference () {
        union () {
            cube([30,hh,hrubka],true);
            translate([0,-hh/2+5+25,0]) {
                cube([60,15,hrubka],true);
                translate([ 30,0,0]) cylinder(d=15,h=hrubka,center=true);
                translate([-30,0,0]) cylinder(d=15,h=hrubka,center=true);
            }
            for (i=[-1,1]) translate ([i*diery_roztec/2,-hh/2+5,1])
                cylinder(d=6.2,h=hrubka+2,center=true);
        }
        union() {
            translate([0,hh/2-4/2-2,0]) cube([26.5,4,hrubka+10],true);
            translate([0,hh/2-5/2+1,0]) cube([10,5,hrubka+10],true);
            for (i=[-1,1]) translate ([i*diery_roztec/2,-hh/2+5,0])
                cylinder(d=3.2,h=50,center=true);
            for (i=[-1,1]) translate ([i*30,-hh/2+5+25,0])
                cylinder(d=3.2,h=5,center=true);
       }
   }
                translate([0,hh/2-4/2-2/2-10/2+1,0]) cylinder(d=10,h=hrubka,center=true);
}

module drziak_kable_3()
{
    difference () {
        union() {
            cube([72, 21 ,3], true);
            translate([0,9,3.5]) cube([72, 3, 10], true);
        }
        translate([0,21/2-3-7-2-5.2,0]) union() {
            for (i=[-1,1]) translate ([i*30.1,0,0])
                cylinder(d=3.8,h=5,center=true);
        }
    }
}


drziak();
//drziak_kable_2();
//drziak_kable_3();

